Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 153209

Summary: OO Writer crashes on tab-click in Format-Character dialog
Product: [Fedora] Fedora Reporter: daniel spieler <spieler>
Component: openoffice.orgAssignee: Caolan McNamara <caolanm>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 2CC: caolanm, mattdm, petrosyan, rbultje
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: FC3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-10-25 11:15:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
the patch to fix this none

Description daniel spieler 2005-04-03 04:44:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040808 Firefox/0.9.3

Description of problem:
Open the character formatting dialog by selecting Format->Character.  Clicking on any tabs at the top other than Font will cause OpenOffice to close immediately.

Version-Release number of selected component (if applicable):
OpenOffice 1.1.3

How reproducible:
Always

Steps to Reproduce:
1.Open either and existing or new OpenOffice Document
2.Click on Format in menu bar.
3.Click on Character to open the format character dialog
4.Click on any tab in dialog other than Font (the currently selected one)

  

Actual Results:  OpenOffice closes all windows and exits immediately.

Expected Results:  Open Office should not crash.  Dialog tab should display selected character formatting dialog.

Additional info:

Comment 1 Ronald Bultje 2005-04-03 13:40:17 UTC
Hi,

I can reproduce this with latest updates in Fedora Core 3. I've looked around,
and found that this is bug 284096 in Debian Bugzilla
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=284096), a fix/workaround is
available there, plus all explanation of what causes the bug and the true fix
blah die blah (the bug is apparently cups-related...).

To make the fix work, download
http://people.debian.org/~halls/openoffice/test/libpsp645li.so.bz2, bunzip2 it
and move the resulting file to /usr/lib/ooo-1.1/programs/ (backup your old file
just to be sure), symlink the fedora version of libstlport_gcc.so in that same
directory to the name the Debian binary expects (ln -s libstlport_gcc.so
libstlport_gcc.so.4.6) and OO.o will work again. Bit hacky, but hey, it works as
long as there's no new packages.

Cheers,
Ronald

Comment 2 Caolan McNamara 2005-04-05 09:02:15 UTC
*** Bug 148965 has been marked as a duplicate of this bug. ***

Comment 3 Caolan McNamara 2005-04-05 09:09:28 UTC
Created attachment 112701 [details]
the patch to fix this

Comment 4 Caolan McNamara 2005-04-05 09:11:42 UTC
caolanm->dcbw: You want to add this patch to an FC-2/FC-3 update?, if not bounce
it back and I'll fumble through it.

Comment 5 Dan Williams 2005-04-05 13:31:24 UTC
I'll roll them in


Comment 6 Dan Williams 2005-04-06 14:32:45 UTC
Will be fixed in 1.1.3-10

Comment 7 Matthew Miller 2005-04-26 15:05:33 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.